<?php

namespace Drupal\access_policy;

/**
 * Access rule handler interface.
 *
 * Base interface for access rule handlers.
 */
interface AccessRuleHandlerInterface {

  /**
   * Initialize the access rule handler.
   *
   * @param \Drupal\access_policy\SelectQueryStub $query
   *   The query object.
   * @param \Drupal\access_policy\AccessRuleDefinition $definition
   *   The access rule definition.
   */
  public function initialize(AccessRuleDefinition $definition);

}
