<?php

namespace Drupal\access_policy\AccessRuleQueryHandler;

/**
 * User entity reference access rule query handler.
 */
class UserEntityReference extends AccessRuleQueryHandlerBase {

  /**
   * {@inheritdoc}
   */
  public function query() {
    $entity_field = $this->definition->getFieldName();

    $values = $this->getEntityFieldValues($this->currentUser, $entity_field);

    $base_field_placeholder = $this->query->getBaseTable() . '.' . $this->query->getBaseField();

    // If values are empty then do not allow them to see the content.
    // Note that [0] will never match with anything.
    if (empty($values)) {
      $values = [0];
    }
    $this->query->condition($base_field_placeholder, $values, 'IN');
  }

  /**
   * {@inheritdoc}
   */
  public function getTableAlias() {
    return $this->getFieldTableName('user', $this->definition->getFieldName());
  }

  /**
   * {@inheritdoc}
   */
  public function getRealField() {
    $entity_field = $this->definition->getFieldName();
    return $this->getFieldTableName('user', $entity_field) . '.' . $this->getFieldColumnName('user', $entity_field);
  }

}
