<?php

namespace Drupal\access_policy\Plugin\AccessRule;

/**
 * Interface for access rules based on fields.
 *
 * Implement this interface when you are using fields for your access rules.
 * This is required for integrating with the EntityField access rule widget.
 */
interface AccessRuleFieldInterface {

  /**
   * Get the configured field name.
   *
   * @return string
   *   The field name.
   */
  public function getFieldName();

  /**
   * Get the field type.
   *
   * @return string
   *   The field type.
   */
  public function getFieldType();

}
