<?php

namespace Drupal\access_policy\Plugin\AccessRule;

/**
 * Basic trait for helping with field validation.
 */
trait AccessRuleOperatorTrait {

  /**
   * Simple equals comparison for arrays.
   *
   * @param mixed $value
   *   The current value.
   * @param array $options
   *   All the options to compare against.
   *
   * @return bool
   *   TRUE if the value is found in the options array.
   */
  public function equals($value, array $options) {
    if (in_array($value, $options)) {
      return TRUE;
    }
    return FALSE;
  }

  /**
   * Simple not equals comparison for arrays.
   *
   * @param mixed $value
   *   The current value.
   * @param array $options
   *   All the options to compare against.
   *
   * @return bool
   *   FALSE if the value is found in the options array.
   */
  public function notEquals($value, array $options) {
    if (in_array($value, $options)) {
      return FALSE;
    }

    return TRUE;
  }

}
